%define _enable_debug_packages %{nil}
%define debug_package	%{nil}

%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		lilv
Version:	0.24.2
Release:	%mkrel 1
Summary:	LV2 plugin library for applications and hosts
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
URL:		http://drobilla.net/software/%{name}/
License:	ISC License (ISC)
Group:		System/Libraries

#BuildRequires:	waf
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	sord-devel
BuildRequires:	pkgconfig(lv2) >= 1.12.0
BuildRequires:	sratom-devel

%description
LV2 plugin library for applications and hosts

%files -n %{name}
%doc COPYING README
%doc %{_mandir}/man1/lv2apply.1.xz
%doc %{_mandir}/man1/lv2info.1.xz
%doc %{_mandir}/man1/lv2ls.1.xz
%{_bindir}/lilv-bench
%{_bindir}/lv2info
%{_bindir}/lv2ls
%{_bindir}/lv2bench
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/bash_completion.d/lilv

#-----------------------------------
%package -n %{lib_name}

Summary:	LV2 plugin library for applications and hosts
Group:		System/Libraries
Obsoletes:	%{_lib}lilv0 < 0.16.0-2

%description -n %{lib_name}
Lilv is a library to make the use of LV2 plugins as simple as possible
for applications. Lilv is the successor to SLV2, rewritten to be
significantly faster and have minimal dependencies.

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:	Headers for the lilv LV2 library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against lilv.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_includedir}/%{name}-%{lib_api}/%{name}/*.hpp
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q

%build
%setup_compile_flags
./waf configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--configdir=%{_sysconfdir}
./waf -v

%install
./waf install --destdir=%{buildroot}


%changelog
* Tue Jan 10 2017 luigiwalser <luigiwalser> 0.24.2-1.mga6
+ Revision: 1080858
- 0.24.2

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.24.0-1.mga6
+ Revision: 1079445
- 0.24.0

* Mon Feb 15 2016 umeabot <umeabot> 0.22.0-2.mga6
+ Revision: 961267
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 0.22.0-1.mga6
+ Revision: 894950
- new version 0.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 750308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 681940
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.20.0-1.mga5
+ Revision: 669735
- new version 0.20.0

* Thu May 08 2014 barjac <barjac> 0.18.0-1.mga5
+ Revision: 621161
- new version lilv-0.18.0
- removed patch0 applied upstream

* Sat Oct 19 2013 umeabot <umeabot> 0.16.0-5.mga4
+ Revision: 535981
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 0.16.0-4.mga4
+ Revision: 482891
- add upstream patch to define UI for downstream apps

* Sun Aug 25 2013 barjac <barjac> 0.16.0-3.mga4
+ Revision: 471455
- rebuild for lv2-1.6.0

* Sat Jul 13 2013 wally <wally> 0.16.0-2.mga4
+ Revision: 453862
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Fri Jun 21 2013 philippedidier <philippedidier> 0.16.0-1.mga4
+ Revision: 445317
- new version 0.16.0

* Sat Jan 12 2013 umeabot <umeabot> 0.14.4-2.mga3
+ Revision: 358790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.14.4-1.mga3
+ Revision: 321488
- new version
- minor spec clean
- thanks to Philippe Didier

* Wed Sep 07 2011 tv <tv> 0.4.4-1.mga2
+ Revision: 139990
- imported package lilv

